LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
Caret Struct Reference

This structure contains the caret information. More...

`import"Caret.idl";`

## Public Attributes
long | MainCaretIndex
| This contains the main caret index. More...
long | SecondaryCaretIndex
| This contains the secondary caret index. More...
double | CaretAngle
| The angle of the caret. More...

## Detailed Description

This structure contains the caret information.

This structure is used from the XTextLayout interface to transport information regarding a text caret.

Since
  OOo 2.0

## Member Data Documentation

## ◆ CaretAngle

double CaretAngle

The angle of the caret.

This member contains the rotation angle of the caret in degrees, with 0 denoting an unrotated caret (the unrotated caret orientation depends on the writing mode, horizontally or vertically). The rotation angle is positive for counter-clockwise rotations.

## ◆ MainCaretIndex

long MainCaretIndex

This contains the main caret index.

The main caret index corresponds to the insert position when inserting text in the layout's main text direction.

## ◆ SecondaryCaretIndex

long SecondaryCaretIndex

This contains the secondary caret index.

The secondary caret index, when different from the main caret index, corresponds to the insert position when inserting text at a direction change opposite to the layout's main text direction.

The documentation for this struct was generated from the following file:

- com/sun/star/rendering/Caret.idl